DrawText.h File Reference
`#include <string>`
`#include <vector>`
`#include <RDGeneral/export.h>`
`#include <Geometry/point.h>`
`#include <GraphMol/MolDraw2D/MolDraw2D.h>`

Go to the source code of this file.

## Classes

class | RDKit::DrawText

## Namespaces

| RDKit
| Std stuff.

## Enumerations

enum class | RDKit::TextDrawType : unsigned char { RDKit::TextDrawNormal = 0 , RDKit::TextDrawSuperscript , RDKit::TextDrawSubscript }

## Functions

std::ostream & | RDKit::operator<< (std::ostream &oss, const TextAlignType &tat)
std::ostream & | RDKit::operator<< (std::ostream &oss, const TextDrawType &tdt)
std::ostream & | RDKit::operator<< (std::ostream &oss, const OrientType &o)
RDKIT_MOLDRAW2D_EXPORT bool | RDKit::setStringDrawMode (const std::string &instring, TextDrawType &draw_mode, size_t &i)
std::vector< std::string > | RDKit::atomLabelToPieces (const std::string &label, OrientType orient)